-- https://cwiki.apache.org/confluence/display/Hive/Configuration+Properties#ConfigurationProperties-HiveConfigurationProperties

set hive.auto.convert.join.noconditionaltask.size = 10000000;
set hive.groupby.orderby.position.alias = true;
set hive.orderby.position.alias = false;
SET hive.optimize.sort.dynamic.partition = false;
SET hive.exec.dynamic.partition.mode = nonstrict;
SET hive.exec.compress.output = true;
SET mapreduce.job.reduces = 10;
SET hive.default.fileformat = ORC;
SET mapred.job.queue.name = my_queue;
SET hive.metastore.warehouse.dir = /user/hive/warehouse;
SET mapreduce.map.output.compress.codec = org.apache.hadoop.io.compress.SnappyCodec;
SET mapreduce.tasktracker.reduce.tasks.maximum = 8;
SET mapreduce.reduce.shuffle.input.buffer.percent = 0.7;








set hive.execution.engine = mr;
set hive.execution.mode = container;
set mapred.reduce.tasks = -1;
set hive.exec.reducers.bytes.per.reducer = 1,000,000,000;
set hive.exec.reducers.bytes.per.reducer = 256 MB;
set hive.exec.reducers.max = true;
set hive.jar.path = true;
set hive.aux.jars.path = true;
set hive.reloadable.aux.jars.path = true;
set hive.exec.scratchdir = /tmp/${user.name};
set hive.exec.scratchdir = /tmp/hive-${user.name};
set hive.exec.scratchdir = /tmp/hive;
set hive.scratch.dir.permission = true;
set hive.exec.local.scratchdir = true;
set hive.hadoop.supports.splittable.combineinputformat = true;
set hive.map.aggr = true;
set hive.groupby.skewindata = true;
set hive.groupby.mapaggr.checkinterval = true;
set hive.new.job.grouping.set.cardinality = true;
set hive.mapred.local.mem = true;
set hive.map.aggr.hash.force.flush.memory.threshold = true;
set hive.map.aggr.hash.percentmemory = true;
set hive.map.aggr.hash.min.reduction = true;
set hive.optimize.groupby = true;
set hive.optimize.countdistinct = true;
set hive.optimize.remove.sq_count_check = true;
set hive.multigroupby.singlemr = true;
set hive.multigroupby.singlereducer = true;
set hive.optimize.cp = true;
set hive.optimize.index.filter = true;
set hive.optimize.ppd = true;
set hive.optimize.ppd.storage = true;
set hive.ppd.remove.duplicatefilters = true;
set hive.ppd.recognizetransivity = true;
set hive.join.emit.interval = true;
set hive.join.cache.size = true;
set hive.mapjoin.bucket.cache.size = true;
set hive.mapjoin.followby.map.aggr.hash.percentmemory = true;
set hive.smalltable.filesize = true;
set hive.mapjoin.smalltable.filesize = true;
set hive.mapjoin.localtask.max.memory.usage = true;
set hive.mapjoin.followby.gby.localtask.max.memory.usage = 0.55;
set hive.mapjoin.check.memory.rows = true;
set hive.ignore.mapjoin.hint = true;
set hive.smbjoin.cache.rows = true;
set hive.mapjoin.optimized.keys = true;
set hive.mapjoin.optimized.hashtable = true;
set hive.mapjoin.optimized.hashtable.wbsize = true;
set hive.mapjoin.lazy.hashtable = true;
set hive.hashtable.initialCapacity = true;
set hive.hashtable.key.count.adjustment = true;
set hive.hashtable.loadfactor = true;
set hive.debug.localtask = true;
set hive.outerjoin.supports.filters = true;
set hive.optimize.skewjoin = true;
set hive.skewjoin.key = true;
set hive.skewjoin.mapjoin.map.tasks = true;
set hive.skewjoin.mapjoin.min.split = true;
set hive.optimize.skewjoin.compiletime = true;
set hive.optimize.union.remove = true;
set hive.mapred.supports.subdirectories = true;
set hive.mapred.mode = nonstrict;
set hive.exec.script.maxerrsize = true;
set hive.script.auto.progress = true;
set hive.exec.script.allow.partial.consumption = true;
set hive.script.operator.id.env.var = true;
set hive.script.operator.env.blacklist = true;
set hive.exec.compress.output = true;
set hive.exec.compress.intermediate = true;
set hive.exec.parallel = true;
set hive.exec.parallel.thread.number = true;
set hive.exec.rowoffset = true;
set hive.task.progress = true;
set hive.counters.group.name = true;
set hive.exec.pre.hooks = true;
set hive.exec.post.hooks = true;
set hive.exec.failure.hooks = true;
set hive.merge.mapfiles = true;
set hive.merge.mapredfiles = true;
set hive.mergejob.maponly = true;
set hive.merge.size.per.task = true;
set hive.merge.smallfiles.avgsize = true;
set hive.heartbeat.interval = true;
set hive.auto.convert.join = true;
set hive.auto.convert.join.noconditionaltask = true;
set hive.auto.convert.join.noconditionaltask.size = true;
set hive.auto.convert.join.use.nonstaged = true;
set hive.merge.nway.joins = true;
set hive.udtf.auto.progress = true;
set hive.mapred.reduce.tasks.speculative.execution = true;
set hive.exec.counters.pull.interval = true;
set hive.enforce.bucketing = true;
set hive.enforce.sorting = true;
set hive.optimize.bucketingsorting = true;
set hive.optimize.reducededuplication = true;
set hive.optimize.reducededuplication.min.reducer = true;
set hive.optimize.correlation = true;
set hive.optimize.limittranspose = true;
set hive.optimize.limittranspose.reductionpercentage = true;
set hive.optimize.limittranspose.reductiontuples = true;
set hive.optimize.filter.stats.reduction = true;
set hive.optimize.sort.dynamic.partition = true;
set hive.cbo.enable = true;
set hive.cbo.returnpath.hiveop = true;
set hive.cbo.cnf.maxnodes = true;
set hive.optimize.null.scan = true;
set hive.exec.dynamic.partition = true;
set hive.exec.dynamic.partition.mode = strict;
set hive.exec.max.dynamic.partitions = true;
set hive.exec.max.dynamic.partitions.pernode = true;
set hive.exec.max.created.files = true;
set hive.exec.default.partition.name = true;
set hive.fetch.output.serde = true;
set hive.exec.mode.local.auto = true;
set hive.exec.mode.local.auto.inputbytes.max = true;
set hive.exec.mode.local.auto.tasks.max = true;
set hive.exec.mode.local.auto.input.files.max = true;
set hive.exec.drop.ignorenonexistent = true;
set hive.exec.show.job.failure.debug.info = true;
set hive.auto.progress.timeout = true;
set hive.table.parameters.default = true;
set hive.variable.substitute = true;
set hive.error.on.empty.partition = true;
set hive.exim.uri.scheme.whitelist = true;
set hive.limit.row.max.size = true;
set hive.limit.optimize.limit.file = true;
set hive.limit.optimize.enable = true;
set hive.limit.optimize.fetch.max = true;
set hive.rework.mapredwork = true;
set hive.sample.seednumber = true;
set hive.autogen.columnalias.prefix.label = true;
set hive.autogen.columnalias.prefix.includefuncname = true;
set hive.exec.perf.logger = org.apache.hadoop.hive.ql.log.PerfLogger;
set hive.start.cleanup.scratchdir = true;
set hive.scratchdir.lock = true;
set hive.output.file.extension = true;
set hive.insert.into.multilevel.dirs = true;
set hive.conf.validation = true;
set hive.fetch.task.conversion = true;
set hive.map.groupby.sorted = true;
set hive.map.groupby.sorted.testmode = true;
set hive.groupby.orderby.position.alias = true;
set hive.groupby.position.alias = true;
set hive.orderby.position.alias = true;
set hive.fetch.task.aggr = true;
set hive.fetch.task.conversion.threshold = true;
set hive.limit.pushdown.memory.usage = true;
set hive.cache.expr.evaluation = true;
set hive.resultset.use.unique.column.names = true;
set hive.support.quoted.identifiers = true;
set hive.plan.serialization.format = true;
set hive.exec.check.crossproducts = true;
set hive.display.partition.cols.separately = true;
set hive.limit.query.max.table.partition = true;
set hive.files.umask.value = true;
set hive.optimize.sampling.orderby = true;
set hive.optimize.sampling.orderby.number = true;
set hive.optimize.sampling.orderby.percent = true;
set hive.compat = true;
set hive.optimize.constant.propagation = true;
set hive.entity.capture.transform = true;
set hive.support.sql11.reserved.keywords = true;
set hive.log.explain.output = true;
set hive.explain.user = true;
set hive.typecheck.on.insert = true;
set hive.exec.temporary.table.storage = true;
set hive.optimize.distinct.rewrite = true;
set hive.optimize.point.lookup = true;
set hive.optimize.point.lookup.min = true;
set hive.allow.udf.load.on.demand = true;
set hive.async.log.enabled = true;
set hive.msck.repair.batch.size = true;
set hive.exec.copyfile.maxnumfiles = true;
set hive.exec.copyfile.maxsize = true;
set hive.exec.stagingdir = .hive-staging;
set hive.query.lifetime.hooks = true;
set hive.remove.orderby.in.subquery = true;
set hive.datetime.formatter = true;
set hive.datetime.formatter.resolver.style = true;
set hive.script.serde = true;
set hive.script.recordreader = true;
set hive.script.recordwriter = true;
set hive.default.serde = true;
set hive.lazysimple.extended_boolean_literal = true;
set hive.io.exception.handlers = true;
set hive.input.format = true;
set hive.default.fileformat = true;
set hive.default.fileformat.managed = true;
set hive.fileformat.check = true;
set hive.query.result.fileformat = true;
set hive.io.rcfile.record.interval = true;
set hive.io.rcfile.column.number.conf = true;
set hive.io.rcfile.tolerate.corruptions = true;
set hive.io.rcfile.record.buffer.size = true;
set hive.exec.orc.memory.pool = true;
set hive.exec.orc.write.format = true;
set hive.exec.orc.base.delta.ratio = true;
set hive.exec.orc.default.stripe.size = 256*1024*1024;
set hive.exec.orc.default.block.size = true;
set hive.exec.orc.dictionary.key.size.threshold = true;
set hive.exec.orc.default.row.index.stride = true;
set hive.exec.orc.default.buffer.size = true;
set hive.exec.orc.default.block.padding = true;
set hive.exec.orc.block.padding.tolerance = true;
set hive.exec.orc.default.compress = true;
set hive.exec.orc.encoding.strategy = true;
set hive.orc.splits.include.file.footer = true;
set hive.orc.cache.stripe.details.size = true;
set hive.orc.cache.use.soft.references = true;
set hive.io.sarg.cache.max.weight.mb = true;
set hive.orc.compute.splits.num.threads = true;
set hive.exec.orc.split.strategy = true;
set hive.exec.orc.skip.corrupt.data = true;
set hive.exec.orc.zerocopy = true;
set hive.merge.orcfile.stripe.level = true;
set hive.orc.row.index.stride.dictionary.check = true;
set hive.exec.orc.compression.strategy = true;
set hive.parquet.timestamp.skip.conversion = true;
set hive.avro.timestamp.skip.conversion = true;
set hive.vectorized.execution.enabled = true;
set hive.vectorized.execution.reduce.enabled = true;
set hive.vectorized.execution.reduce.groupby.enabled = true;
set hive.vectorized.execution.reducesink.new.enabled = true;
set hive.vectorized.execution.mapjoin.native.enabled = true;
set hive.vectorized.execution.mapjoin.native.multikey.only.enabled = true;
set hive.vectorized.execution.mapjoin.minmax.enabled = true;
set hive.vectorized.execution.mapjoin.overflow.repeated.threshold = true;
set hive.vectorized.execution.mapjoin.native.fast.hashtable.enabled = true;
set hive.vectorized.groupby.checkinterval = true;
set hive.vectorized.groupby.maxentries = true;
set hive.vectorized.use.vectorized.input.format = true;
set hive.vectorized.use.vector.serde.deserialize = true;
set hive.vectorized.use.row.serde.deserialize = true;
set hive.vectorized.input.format.excludes = true;
set hive.metastore.local = true;
set hive.metastore.uri.selection = true;
set javax.jdo.option.ConnectionURL = true;
set javax.jdo.option.ConnectionDriverName = true;
set javax.jdo.PersistenceManagerFactoryClass = true;
set javax.jdo.option.DetachAllOnCommit = true;
set javax.jdo.option.NonTransactionalRead = true;
set javax.jdo.option.ConnectionUserName = true;
set javax.jdo.option.ConnectionPassword = true;
set javax.jdo.option.Multithreaded = true;
set datanucleus.connectionPoolingType = true;
set datanucleus.connectionPool.maxPoolSize = true;
set datanucleus.validateTables = true;
set datanucleus.schema.validateTables = true;
set datanucleus.validateColumns = true;
set datanucleus.schema.validateColumns = true;
set datanucleus.validateConstraints = true;
set datanucleus.schema.validateConstraints = true;
set datanucleus.storeManagerType = true;
set datanucleus.fixedDatastore = true;
set datanucleus.autoCreateSchema = true;
set datanucleus.schema.autoCreateAll = true;
set datanucleus.autoStartMechanismMode = true;
set datanucleus.transactionIsolation = true;
set datanucleus.cache.level2 = true;
set datanucleus.cache.level2.type = true;
set datanucleus.identifierFactory = true;
set datanucleus.plugin.pluginRegistryBundleCheck = true;
set hive.warehouse.subdir.inherit.perms = true;
set hive.metastore.execute.setugi = true;
set hive.metastore.event.listeners = true;
set hive.metastore.partition.inherit.table.properties = true;
set hive.metastore.end.function.listeners = true;
set hive.metastore.event.expiry.duration = true;
set hive.metastore.event.clean.freq = true;
set hive.metastore.connect.retries = true;
set hive.metastore.client.connect.retry.delay = true;
set hive.metastore.client.socket.timeout = true;
set hive.metastore.rawstore.impl = true;
set metastore.cached.rawstore.impl = true;
set metastore.cached.rawstore.cache.update.frequency = true;
set metastore.cached.rawstore.cached.object.whitelist = .*;
set metastore.cached.rawstore.cached.object.blacklist = true;
set metastore.cached.rawstore.max.cache.memory = true;
set hive.metastore.batch.retrieve.max = true;
set hive.metastore.ds.connection.url.hook = true;
set hive.metastore.ds.retry.attempts = true;
set hive.metastore.ds.retry.interval = true;
set hive.metastore.server.min.threads = true;
set hive.metastore.server.max.threads = true;
set hive.metastore.server.max.message.size = true;
set hive.metastore.server.tcp.keepalive = true;
set hive.metastore.sasl.enabled = true;
set hive.metastore.kerberos.keytab.file = true;
set hive.metastore.kerberos.principal = true;
set hive.metastore.client.kerberos.principal = true;
set hive.metastore.cache.pinobjtypes = true;
set hive.metastore.authorization.storage.checks = true;
set hive.metastore.thrift.framed.transport.enabled = true;
set hive.metastore.schema.verification = true;
set hive.metastore.disallow.incompatible.col.type.changes = true;
set hive.metastore.integral.jdo.pushdown = true;
set hive.metastore.try.direct.sql = true;
set hive.metastore.try.direct.sql.ddl = true;
set hive.metastore.orm.retrieveMapNullsAsEmptyStrings = true;
set hive.direct.sql.max.query.length = true;
set hive.direct.sql.max.elements.in.clause = true;
set hive.direct.sql.max.elements.values.clause = true;
set hive.metastore.port = true;
set hive.metastore.initial.metadata.count.enabled = true;
set hive.metastore.limit.partition.request = true;
set hive.metastore.fastpath = true;
set hive.metastore.jdbc.max.batch.size = true;
set hive.metastore.hbase.cache.size = true;
set hive.metastore.hbase.cache.ttl = true;
set hive.metastore.hbase.file.metadata.threads = true;
set hive.server2.thrift.port = true;
set hive.server2.thrift.bind.host = true;
set hive.server2.thrift.min.worker.threads = true;
set hive.server2.thrift.max.worker.threads = true;
set hive.server2.thrift.worker.keepalive.time = true;
set hive.server2.thrift.max.message.size = true;
set hive.server2.authentication = true;
set hive.server2.authentication.kerberos.keytab = true;
set hive.server2.authentication.kerberos.principal = true;
set hive.server2.authentication.client.kerberos.principal = true;
set hive.server2.custom.authentication.class = true;
set hive.server2.enable.doAs = true;
set hive.server2.authentication.ldap.url = true;
set hive.server2.authentication.ldap.baseDN = true;
set hive.server2.authentication.ldap.guidKey = true;
set hive.server2.authentication.ldap.Domain = true;
set hive.server2.authentication.ldap.groupDNPattern = true;
set hive.server2.authentication.ldap.groupFilter = true;
set hive.server2.authentication.ldap.groupMembershipKey = true;
set hive.server2.authentication.ldap.userMembershipKey = true;
set hive.server2.authentication.ldap.groupClassKey = true;
set hive.server2.authentication.ldap.userDNPattern = true;
set hive.server2.authentication.ldap.userFilter = true;
set hive.server2.authentication.ldap.customLDAPQuery = true;
set hive.server2.authentication.ldap.binddn = true;
set hive.server2.authentication.ldap.bindpw = true;
set hive.server2.global.init.file.location = true;
set hive.server2.transport.mode = true;
set hive.server2.thrift.http.port = true;
set hive.server2.thrift.http.path = true;
set hive.server2.thrift.http.min.worker.threads = true;
set hive.server2.thrift.http.max.worker.threads = true;
set hive.server2.thrift.http.max.idle.time = true;
set hive.server2.thrift.http.worker.keepalive.time = true;
set hive.server2.thrift.sasl.qop = true;
set hive.server2.async.exec.threads = true;
set hive.server2.async.exec.shutdown.timeout = true;
set hive.server2.table.type.mapping = true;
set hive.server2.session.hook = true;
set hive.server2.max.start.attempts = true;
set hive.server2.async.exec.wait.queue.size = true;
set hive.server2.async.exec.keepalive.time = true;
set hive.server2.long.polling.timeout = true;
set hive.server2.allow.user.substitution = true;
set hive.server2.authentication.spnego.keytab = true;
set hive.server2.authentication.spnego.principal = true;
set hive.server2.authentication.pam.services = true;
set hive.server2.use.SSL = true;
set hive.server2.keystore.path = true;
set hive.server2.keystore.password = true;
set hive.server2.tez.default.queues = true;
set hive.server2.tez.sessions.per.default.queue = true;
set hive.server2.tez.initialize.default.sessions = true;
set hive.server2.session.check.interval = true;
set hive.server2.idle.session.timeout = true;
set hive.server2.idle.operation.timeout = true;
set hive.server2.logging.operation.enabled = true;
set hive.server2.logging.operation.log.location = true;
set hive.server2.logging.operation.verbose = true;
set hive.server2.logging.operation.level = true;
set hive.server2.thrift.http.cookie.auth.enabled = true;
set hive.server2.thrift.http.cookie.max.age = true;
set hive.server2.thrift.http.cookie.path = true;
set hive.server2.thrift.http.cookie.domain = true;
set hive.server2.thrift.http.cookie.is.secure = true;
set hive.server2.thrift.http.cookie.is.httponly = true;
set hive.server2.close.session.on.disconnect = true;
set hive.server2.xsrf.filter.enabled = true;
set hive.server2.job.credential.provider.path = true;
set hive.server2.in.place.progress = true;
set hive.hadoop.classpath = true;
set hive.server2.webui.host = true;
set hive.server2.webui.port = true;
set hive.server2.webui.max.threads = true;
set hive.server2.webui.max.historic.queries = true;
set hive.server2.webui.use.ssl = true;
set hive.server2.webui.keystore.path = true;
set hive.server2.webui.keystore.password = true;
set hive.server2.webui.use.spnego = true;
set hive.server2.webui.spnego.keytab = true;
set hive.server2.webui.spnego.principal = true;
set hive.server2.webui.explain.output = true;
set hive.server2.webui.show.graph = true;
set hive.server2.webui.max.graph.size = true;
set hive.server2.webui.show.stats = true;
set hive.spark.dynamic.partition.pruning = true;
set hive.spark.dynamic.partition.pruning.map.join.only = true;
set hive.spark.dynamic.partition.pruning.max.data.size = true;
set hive.spark.exec.inplace.progress = true;
set hive.spark.use.file.size.for.mapjoin = true;
set hive.spark.use.ts.stats.for.mapjoin = true;
set hive.spark.explain.user = true;
set hive.prewarm.spark.timeout = true;
set hive.spark.optimize.shuffle.serde = true;
set hive.merge.sparkfiles = true;
set hive.spark.session.timeout.period = true;
set hive.spark.session.timeout.period = true;
set hive.spark.use.op.stats = true;
set hive.spark.use.ts.stats.for.mapjoin = true;
set hive.spark.use.groupby.shuffle = true;
set mapreduce.job.reduces = true;
set hive.spark.client.future.timeout = true;
set hive.spark.client.connect.timeout = true;
set hive.spark.client.server.connect.timeout = true;
set hive.spark.client.secret.bits = true;
set hive.spark.client.rpc.server.address = true;
set hive.spark.client.rpc.threads = true;
set hive.spark.client.rpc.max.size = true;
set hive.spark.client.channel.log.level = true;
set hive.mapjoin.optimized.hashtable = true;
set hive.mapjoin.optimized.hashtable.wbsize = true;
set hive.jar.directory = true;
set hive.user.install.directory = true;
set hive.compute.splits.in.am = true;
set hive.rpc.query.plan = true;
set hive.prewarm.enabled = true;
set hive.prewarm.numcontainers = true;
set hive.merge.tezfiles = true;
set hive.tez.input.format = true;
set hive.tez.input.generate.consistent.splits = true;
set hive.tez.container.size = true;
set hive.tez.java.opts = true;
set hive.convert.join.bucket.mapjoin.tez = true;
set hive.tez.log.level = true;
set hive.localize.resource.wait.interval = true;
set hive.localize.resource.num.wait.attempts = true;
set hive.tez.smb.number.waves = true;
set hive.tez.cpu.vcores = true;
set hive.tez.auto.reducer.parallelism = true;
set hive.tez.max.partition.factor = true;
set hive.tez.min.partition.factor = true;
set hive.tez.exec.print.summary = true;
set hive.tez.exec.inplace.progress = true;
set hive.llap.execution.mode = true;
set hive.server2.llap.concurrent.queries = true;
set hive.llap.client.consistent.splits = true;
set hive.llap.daemon.web.port = true;
set hive.llap.daemon.web.ssl = true;
set hive.llap.auto.auth = true;
set hive.llap.daemon.service.principal = true;
set hive.llap.daemon.service.hosts = true;
set hive.llap.daemon.task.preemption.metrics.intervals = true;
set hive.llap.object.cache.enabled = true;
set hive.llap.io.use.lrfu = true;
set hive.llap.io.lrfu.lambda = true;
set hive.llap.io.enabled = true;
set hive.llap.io.cache.orc.size = true;
set hive.llap.io.threadpool.size = true;
set hive.llap.io.orc.time.counters = true;
set hive.llap.io.memory.mode = true;
set hive.llap.io.allocator.alloc.min = true;
set hive.llap.io.allocator.alloc.max = true;
set hive.llap.io.allocator.arena.count = true;
set hive.llap.io.memory.size = true;
set hive.llap.io.allocator.direct = true;
set hive.llap.io.allocator.nmap = true;
set hive.llap.io.allocator.nmap.path = true;
set hive.llap.auto.allow.uber = true;
set hive.llap.auto.enforce.tree = true;
set hive.llap.auto.enforce.vectorized = true;
set hive.llap.auto.enforce.stats = true;
set hive.llap.auto.max.input.size = true;
set hive.llap.auto.max.output.size = true;
set hive.llap.queue.metrics.percentiles.intervals = true;
set hive.llap.management.rpc.port = true;
set hive.llap.allow.permanent.fns = true;
set hive.llap.daemon.download.permanent.fns = true;
set hive.llap.daemon.keytab.file = true;
set hive.llap.zk.sm.principal = true;
set hive.llap.zk.sm.keytab.file = true;
set hive.llap.zk.sm.connectionString = true;
set hive.llap.daemon.acl = true;
set hive.llap.management.acl = true;
set hive.llap.daemon.delegation.token.lifetime = true;
set hive.txn.manager = true;
set hive.txn.strict.locking.mode = true;
set hive.txn.timeout = true;
set hive.txn.heartbeat.threadpool.size = true;
set hive.timedout.txn.reaper.start = true;
set hive.timedout.txn.reaper.interval = true;
set hive.writeset.reaper.interval = true;
set hive.txn.max.open.batch = true;
set hive.max.open.txns = true;
set hive.count.open.txns.interval = true;
set hive.txn.retryable.sqlex.regex = true;
set hive.compactor.initiator.on = true;
set hive.compactor.cleaner.on = true;
set hive.compactor.worker.threads = true;
set hive.compactor.worker.timeout = true;
set hive.compactor.check.interval = true;
set hive.compactor.cleaner.run.interval = true;
set hive.compactor.delta.num.threshold = true;
set hive.compactor.delta.pct.threshold = true;
set hive.compactor.abortedtxn.threshold = true;
set hive.compactor.aborted.txn.time.threshold = true;
set hive.compactor.history.retention.succeeded = true;
set hive.compactor.history.retention.failed = true;
set metastore.compactor.history.retention.did.not.initiate = true;
set hive.compactor.history.reaper.interval = true;
set hive.compactor.initiator.failed.compacts.threshold = true;
set hive.index.compact.file.ignore.hdfs = true;
set hive.optimize.index.filter = true;
set hive.optimize.index.filter.compact.minsize = true;
set hive.optimize.index.filter.compact.maxsize = true;
set hive.index.compact.query.max.size = true;
set hive.index.compact.query.max.entries = true;
set hive.exec.concatenate.check.index = true;
set hive.optimize.index.autoupdate = true;
set hive.optimize.index.groupby = true;
set hive.index.compact.binary.search = true;
set hive.stats.dbclass = true;
set hive.stats.autogather = true;
set hive.stats.column.autogather = true;
set hive.stats.jdbcdriver = true;
set hive.stats.dbconnectionstring = true;
set hive.stats.default.publisher = true;
set hive.stats.default.aggregator = true;
set hive.stats.jdbc.timeout = true;
set hive.stats.atomic = true;
set hive.stats.retries.max = true;
set hive.stats.retries.wait = true;
set hive.stats.collect.rawdatasize = true;
set hive.client.stats.publishers = true;
set hive.client.stats.counters = true;
set hive.stats.reliable = true;
set hive.stats.ndv.error = true;
set hive.stats.collect.tablekeys = true;
set hive.stats.collect.scancols = true;
set hive.stats.key.prefix.max.length = true;
set hive.stats.key.prefix.reserve.length = true;
set hive.stats.max.variable.length = true;
set hive.analyze.stmt.collect.partlevel.stats = true;
set hive.stats.list.num.entries = true;
set hive.stats.map.num.entries = true;
set hive.stats.map.parallelism = true;
set hive.stats.fetch.partition.stats = true;
set hive.stats.fetch.column.stats = true;
set hive.stats.join.factor = true;
set hive.stats.deserialization.factor = true;
set hive.stats.avg.row.size = true;
set hive.compute.query.using.stats = true;
set hive.stats.gather.num.threads = true;
set hive.stats.fetch.bitvector = true;
set hive.tez.dynamic.semijoin.reduction = true;
set hive.tez.min.bloom.filter.entries = true;
set hive.tez.max.bloom.filter.entries = true;
set hive.tez.bloom.filter.factor = true;
set hive.tez.bigtable.minsize.semijoin.reduction = true;
set hive.conf.restricted.list = true;
set hive.conf.hidden.list = true;
set hive.conf.internal.variable.list = true;
set hive.security.command.whitelist = true;
set hive.security.authorization.enabled = true;
set hive.security.authorization.manager = true;
set hive.security.authenticator.manager = true;
set hive.security.authorization.createtable.user.grants = true;
set hive.security.authorization.createtable.group.grants = true;
set hive.security.authorization.createtable.role.grants = true;
set hive.security.authorization.createtable.owner.grants = true;
set hive.metastore.pre.event.listeners = true;
set hive.security.metastore.authorization.manager = true;
set hive.security.metastore.authenticator.manager = true;
set hive.security.metastore.authorization.auth.reads = true;
set hive.metastore.token.signature = true;
set hive.users.in.admin.role = true;
set hive.security.authorization.sqlstd.confwhitelist = true;
set hive.security.authorization.sqlstd.confwhitelist.append = true;
set hive.server2.builtin.udf.whitelist = true;
set hive.server2.builtin.udf.blacklist = true;
set hive.security.authorization.task.factory = true;
set fs.har.impl = true;
set hive.archive.enabled = true;
set hive.archive.har.parentdir.settable = true;
set hive.support.concurrency = true;
set hive.lock.manager = true;
set hive.lock.mapred.only.operation = true;
set hive.lock.query.string.max.length = true;
set hive.lock.numretries = true;
set hive.unlock.numretries = true;
set hive.lock.sleep.between.retries = true;
set hive.zookeeper.quorum = true;
set hive.zookeeper.client.port = true;
set hive.zookeeper.session.timeout = true;
set hive.zookeeper.namespace = true;
set hive.zookeeper.clean.extra.nodes = true;
set hive.lockmgr.zookeeper.default.partition.name = true;
set hive.metastore.metrics.enabled = true;
set hive.metastore.acidmetrics.thread.on = true;
set hive.server2.metrics.enabled = true;
set hive.service.metrics.class = true;
set hive.service.metrics.reporter = true;
set hive.service.metrics.codahale.reporter.classes = true;
set hive.service.metrics.file.location = true;
set hive.service.metrics.file.frequency = true;
set hive.service.metrics.hadoop2.component = true;
set hive.service.metrics.hadoop2.frequency = true;
set hive.cluster.delegation.token.store.class = true;
set hive.cluster.delegation.token.store.zookeeper.connectString = true;
set hive.cluster.delegation.token.store.zookeeper.znode = true;
set hive.cluster.delegation.token.store.zookeeper.acl = true;
set hive.cli.print.header = true;
set hive.cli.print.current.db = true;
set hive.hbase.wal.enabled = true;
set hive.hbase.generatehfiles = true;
set hive.hwi.war.file = true;
set hive.hwi.listen.host = true;
set hive.hwi.listen.port = true;
set hive.repl.rootdir = true;
set hive.repl.replica.functions.root.dir = true;
set hive.repl.partitions.dump.parallelism = true;
set hive.repl.approx.max.load.tasks = true;
set hive.repl.dump.metadata.only = true;
set hive.repl.dump.include.acid.tables = true;
set hive.repl.add.raw.reserved.namespace = true;
set hive.blobstore.supported.schemes = true;
set hive.blobstore.optimizations.enabled = true;
set hive.blobstore.use.blobstore.as.scratchdir = true;
set hive.exec.input.listing.max.threads = true;
set hive.test.mode = true;
set hive.test.mode.prefix = true;
set hive.test.mode.samplefreq = true;
set hive.test.mode.nosamplelist = true;
set hive.exec.submit.local.task.via.child = true;
